KILL(1)

NAZWA
kill - wysłanie sygnału do procesu

SKŁADNIA
kill [opcje] <pid> [...]

OPIS
Domyślny sygnał to TERM. Aby uzyskać listę sygnałów, można użyć opcji -l lub -L. Przydatne sygnały to w szczególności HUP, INT, KILL, STOP, CONT oraz 0. Alternatywny sygnał można podać na trzy sposoby: -9, -SIGKILL oraz -KILL. Ujemne wartości PID pozwalają wybrać całe grupy procesów - p. kolumna PGID w wyjściu polecenia ps. PID -1 jest specjalny - oznacza wszystkie procesy z wyjątkiem samego procesu kill oraz inita.

OPCJE

<pid> [...]
    Wysłanie sygnału to każdego podanego <pidu>.

-<sygnał>
-s <sygnał>
--signal <sygnał>
    Podanie sygnału do wysłania. Sygnał można określić przy użyciu nazwy lub numeru. Zachowanie sygnałów jest wyjaśnione na stronie podręcznika signal(7).

-l, --list [sygnał]
    Lista nazw sygnałów. Ta opcja ma opcjonalny argument, który pozwala zamienić numer sygnału na jego nazwę lub odwrotnie.

-L, --table
    Lista nazw sygnałów w ładnej tabelce.

UWAGI
Powłoka (interpreter linii poleceń) może mieć wbudowane polecenie kill. Aby
    uniknąć konfliktu, może zaistnieć potrzeba uruchomienia niniejszego polecenia jako /bin/kill.

PRZYKŁADY

kill -9 -1
    Zabicie wszystkich procesów, do których mamy uprawnienia.

kill -l 11
    Zamiana numeru 11 na nazwę sygnału.

kill -L
    Lista dostępnych sygnałów w ładnej tabelce.

kill 123 543 2341 3453
    Wysłanie domyślnego sygnału (SIGTERM) do wszystkich podanych procesów.

ZOBACZ TAKŻE
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), skill(1)

STANDARDY
To polecenie jest zgodne z odpowiednimi standardami. Flaga -L jest specyficzna dla Linuksa.

AUTOR
Albert Cahalan (albert@users.sf.net) napisał program kill w roku 1999, aby zastąpić narzędzie z pakietu bsdutils, które nie było zgodne ze standardami. Narzędzie z pakietu util-linux także może działać poprawnie.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów prosimy wysyłać na adres procps@freelists.org